Skip to content

Balance change notification

  • Endpoint: POST /balanceNotifyUrl
  • Tags: Fund Account(Old)

Description

When merchant account balance changes due to recharge, transfer, exchange, withdrawal operations, we will notify through this API.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32Callback notification code, APPLY_SUCCESS means this is a valid callback.
msgstringYesmaxLength: 256Valid notification description:Success.
versionstringYesmaxLength: 8API version, current value 1.0
keyVersionstringYesmaxLength: 8Key version, current value 1
appIdstringYesmaxLength: 64Merchant AppID, the unique identifier assigned to the merchant app by PayerMax.
merchantNostringYesmaxLength: 15MerchantNo, the unique identifier generated when the merchant signs the contract with PayerMax.
notifyTimestringYesmaxLength: 32Notification time, in line with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX.
notifyTypestringYesmaxLength: 16DEPOSIT,EXCHANGE,WITHDRAW,TRANSFER
dataobjectYesResponse data body.
data.amountobjectYesBalance change
data.amount.currencystringYesmaxLength: 3Currency
data.amount.valuestringYesmaxLength: 204Amount
data.counterpartyobjectYesTransaction Party
data.counterparty.identifyIdstringYesTransaction Party label.For recharge and withdrawl, it will be bank account no, for transfer and conversion, it will be merchant ID
data.counterparty.identifyNamestringYesTransaction Party Name
data.directionstringYesIBalance Directio:NCREASE/DECREASE
data.relatedTradeNostringYesmaxLength: 64The related PayerMax Trade Order No
data.exchangeobjectNoExchange rate information
data.exchange.ccyPairstringYesCurrency Conversion Fee
data.exchange.ratestringYesTransaction exchange rate
data.exchange.rateTimestringYesExchange rate time
data.feeobjectNoFee
data.fee.valuestringYesFee Amount
data.fee.currencystringYesFee Currency

Example

json
{
  "appId": "2222fd568ab5452b906a3d65a1fbac19",
  "code": "APPLY_SUCCESS",
  "data": {
    "amount": {
      "currency": "MYR",
      "value": "448.13"
    },
    "counterparty": {
      "identifyId": "P01010113842047",
      "identifyName": "自动化商户名1661913462216"
    },
    "direction": "DECREASE",
    "exchange": {
      "ccyPair": "USDMYR",
      "rate": "4.48130000",
      "rateTime": "2022-12-12T09:26:42.000Z"
    },
    "relatedTradeNo": "20221212092644TU2586897700363059"
  },
  "keyVersion": "1",
  "merchantNo": "P01010113842047",
  "msg": "Success",
  "notifyTime": "2022-12-12T09:26:57.628Z",
  "notifyType": "EXCHANGE",
  "version": "1.0"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYesResponse message
codestringYesResponse code

Response Example

json
{
  "msg": "Success",
  "code": "SUCCESS"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.